%global prever -alpha.0
Name: libmypaint
Version: 2.0.0
Release: 1%{?dist}
Summary: Library for making brush strokes

# Compute some version related macros.
# Ugly, need to get quoting percent signs straight.
%global major %(ver=%{version}; echo ${ver%%%%.*})
%global minor %(ver=%{version}; ver=${ver#%major.}; echo ${ver%%%%.*})
%global micro %(ver=%{version}; ver=${ver#%major.%minor.}; echo ${ver%%%%.*})

License: ISC
URL: https://github.com/mypaint/libmypaint
Source0: https://github.com/mypaint/libmypaint/archive/v%{version}%{prever}/libmypaint-%{version}%{prever}.tar.gz
Patch0: 0001-use-python3-to-generate-headers.patch
Patch1: 0002-fix-dependency-in-libmypaint-gegl.pc.patch

BuildRequires: babl-devel
BuildRequires: gcc
BuildRequires: doxygen
BuildRequires: gegl03-devel
BuildRequires: glib2-devel
BuildRequires: gobject-introspection-devel
BuildRequires: autoconf
BuildRequires: intltool
BuildRequires: json-c-devel
BuildRequires: python3-sphinx
BuildRequires: python3-breathe

Conflicts: mypaint < 1.3.0

%description
This is a self-contained library containing the MyPaint brush engine.

%package devel
Summary: Development files for libmypaint
Requires: %{name}%{?isa} = %{version}-%{release}

%description devel
This package contains files needed for development with libmypaint.

%prep
%autosetup -p1 -n %{name}-%{version}%{prever}

%build
./autogen.sh
%configure --enable-docs --enable-introspection=yes --enable-gegl
%make_build

%install
%make_install
find %{buildroot}%{_libdir} -name '*.la' -delete -print

%find_lang %{name}-%{major}.%{minor}

%ldconfig_scriptlets

%files -f %{name}-%{major}.%{minor}.lang
%license COPYING
%doc README.md
%{_libdir}/*.so.*
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/MyPaint-%{major}.%{minor}.typelib
%{_libdir}/girepository-1.0/MyPaintGegl-%{major}.%{minor}.typelib

%files devel
%doc doc/build/*
%{_libdir}/*.so
%{_includedir}/%{name}-%{major}.%{minor}
%{_includedir}/%{name}-gegl
%{_libdir}/pkgconfig/libmypaint-%{major}.%{minor}.pc
%{_libdir}/pkgconfig/libmypaint-gegl-%{major}.%{minor}.pc
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/MyPaint-%{major}.%{minor}.gir
%{_datadir}/gir-1.0/MyPaintGegl-%{major}.%{minor}.gir

%changelog
* Wed Jan 30 2019 Sergey Avseyev <sergey.avseyev@gmail.com> - 2.0.0-1
- Build first alpha of 2.0.0

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed May 02 2018 Nils Philippsen <nils@tiptoe.de> - 1.3.0-8
- rebuild with gegl04

* Tue Mar 06 2018 Björn Esser <besser82@fedoraproject.org> - 1.3.0-7
- Rebuilt for libjson-c.so.4 (json-c v0.13.1)

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Dec 13 2017 Björn Esser <besser82@fedoraproject.org> - 1.3.0-5
- Rebuilt for libjson-c.so.3

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Jan 27 2017 Nils Philippsen <nils@tiptoe.de> - 1.3.0-1
- version 1.3.0 final
- conflict with mypaint < 1.3.0
- mention pkgconfig, introspection files explicitly

* Sun Jul 31 2016 Nils Philippsen <nils@tiptoe.de> - 1.3.0-0.2.beta.1
- fix locale names 'ar_AR' -> 'ar'
- fix build dependencies
- fix summary and description texts
- use current build and install macros
- remove all .la files beneath %%_libdir
- ship development documentation

* Sun Jul 31 2016 Nils Philippsen <nils@tiptoe.de> - 1.3.0-0.1.beta.1
- initial release of 1.3.0-beta.1
